Package fr.gouv.vitam.functional.administration.common

# Class ReferentialAccessionRegisterSummaryUtil

java.lang.Object
fr.gouv.vitam.functional.administration.common.ReferentialAccessionRegisterSummaryUtil

public class ReferentialAccessionRegisterSummaryUtil extends Object
ReferentialAccessionRegisterSummaryUtil

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReferentialAccessionRegisterSummaryUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Action>`
  `createActions(AccessionRegisterDetailModel registerDetail)`
  Add action for summary from register detail
  `Update`
  `generateUpdateQuery(AccessionRegisterDetailModel registerDetail)`
  Generate update query on summary from register detail
  `AccessionRegisterSummary`
  `initAccessionRegisterSummary(String originatingAgency, String id)`
  Init AccessionRegisterSummary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReferentialAccessionRegisterSummaryUtil

    public ReferentialAccessionRegisterSummaryUtil()

- ## Method Details

  - ### initAccessionRegisterSummary

    public AccessionRegisterSummary initAccessionRegisterSummary(String originatingAgency, String id)
    Init AccessionRegisterSummary
    Parameters:
      `originatingAgency` - originating Agency
      `id` - id
    Returns:
      return AccessionRegisterSummary

  - ### generateUpdateQuery

    public Update generateUpdateQuery(AccessionRegisterDetailModel registerDetail) throws InvalidCreateOperationException
    Generate update query on summary from register detail
    Parameters:
      `registerDetail` - AccessionRegisterDetail
    Returns:
      update query
    Throws:
      `InvalidCreateOperationException` - parsing query exception

  - ### createActions

    public List<Action> createActions(AccessionRegisterDetailModel registerDetail) throws InvalidCreateOperationException
    Add action for summary from register detail
    Parameters:
      `registerDetail` - AccessionRegisterDetail
    Returns:
      query actions
    Throws:
      `InvalidCreateOperationException` - parsing query exception